# Uses of Class
org.jboss.modules.maven.ArtifactCoordinates

Packages that use ArtifactCoordinates
Package
Description
org.jboss.modules.maven

## Uses of ArtifactCoordinates in org.jboss.modules.maven

Methods in org.jboss.modules.maven that return ArtifactCoordinates
Modifier and Type
Method
Description
`static ArtifactCoordinates`
ArtifactCoordinates.`fromString(String string)`
Parse a string and produce artifact coordinates from it.
Methods in org.jboss.modules.maven with parameters of type ArtifactCoordinates
Modifier and Type
Method
Description
`static ResourceLoader`
MavenArtifactUtil.`createMavenArtifactLoader(MavenResolver mavenResolver, ArtifactCoordinates coordinates, String rootName)`
A utility method to create a Maven artifact resource loader for the given artifact coordinates.
`boolean`
ArtifactCoordinates.`equals(ArtifactCoordinates obj)`
Determine whether this coordinates object equals the target object.
`static File`
MavenArtifactUtil.`resolveArtifact(ArtifactCoordinates coordinates, String packaging)`
Tries to find a maven jar artifact from the system property `"maven.repo.local"` This property is a list of platform separated directory names.
`File`
MavenResolver.`resolveArtifact(ArtifactCoordinates coordinates, String packaging)`
Tries to find a maven jar artifact from the system property `"maven.repo.local"` This property is a list of platform separated directory names.
`static File`
MavenArtifactUtil.`resolveJarArtifact(ArtifactCoordinates coordinates)`
Try to resolve a Maven JAR artifact.
`default File`
MavenResolver.`resolveJarArtifact(ArtifactCoordinates coordinates)`
Try to resolve a Maven JAR artifact.